Opened 15 years ago

Closed 14 years ago

#9308 closed defect (duplicate)

upgrade liboil to 0.3.9 (fixes build failure)

Reported by: ericjaffe@… Owned by: deric@…
Priority: Normal Milestone:
Component: ports Version: 1.2
Keywords: Cc: markd@…
Port:

Description

I will attach a patch for the Portfile in devel/liboil

The current version, 0.3.6, fails to build on intel macs. This has been fixed upstream in 0.3.9.

Attachments (1)

liboil.patch (896 bytes) - added by ericjaffe@… 15 years ago.
patch to upgrade Portfile to 0.3.9

Download all attachments as: .zip

Change History (9)

Changed 15 years ago by ericjaffe@…

Attachment: liboil.patch added

patch to upgrade Portfile to 0.3.9

comment:1 Changed 15 years ago by rhwood@…

Owner: changed from darwinports-bugs@… to rhwood@…

I can not get liboil to build successfully on Mac OS X 10.4.6 / PowerPC.

comment:2 Changed 15 years ago by ericjaffe@…

Randall, are you referring to the current version or to 0.3.9?

comment:3 Changed 15 years ago by rhwood@…

0.3.9. sorry.

comment:5 Changed 14 years ago by blblack@…

I've had to use this patch to get liboil working on my MacIntel as well, works like a charm. Am I to understand that 0.3.9 that works for Intel is broken for PPC and that's why the Portfile hasn't been upgraded?

comment:6 Changed 14 years ago by deric@…

Owner: changed from rhwood@… to deric@…
Status: assignednew

There is a 0.3.10 version out that should be tested on PPC/Intel to see if it solves the problem.

comment:7 Changed 14 years ago by markd@…

Cc: markd@… added

0.3.10 has been committed. Please test it.

comment:8 Changed 14 years ago by markd@…

Resolution: duplicate
Status: newclosed

Since liboil 0.3.10 is now current and the ticket #11318 has been filed against it, I'm going to close this as a duplicate of the newer one. Please attach any comments or reports about liboil 0.3.10 to the newer ticket.

Note: See TracTickets for help on using tickets.